Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
"Shader file version is outdated!" error, FFX, slow A/V rendering
#1
Error while running Final Fantasy X (NTSC) on PCSX2.

Graphics: ZZ Ogl 0.19.195
Sound: P.E.Op.S. SPU2 SDL 1.9.0

Bios: USA v02.00(14/06/2004) Console (SCPH)

When I run the game, I get the following error:

_openfile /Applications/pcsx2.app/Contents/Resources/pcsx2/plugins/FINAL_FANTASY_X.ISO 0
detected blocksize = 2048
isoOpen: /Applications/pcsx2.app/Contents/Resources/pcsx2/plugins/FINAL_FANTASY_X.ISO ok
offset = 0
blockofs = 24
blocksize = 2048
blocks = 2201280
type = 2
ZZogl: creating zerogs
ZZogl: Got Doublebuffered Visual!
ZZogl: glX-Version 1.2
Xlib: extension "XFree86-VidModeExtension" missing on display "/tmp/launch-jb1ntv/org.x:0".
ZZogl: Depth 24
ZZogl: you have Direct Rendering!
ZZogl: Using multitexturing
ZZogl: Maximun texture size is 8192 for Tex_2d and 8192 for Tex_NV
ZZogl: Disabling MRT depth writing
ZZogl: Creating effects
ZZogl: Creating extra effects
ZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: Shader file version is outdated! Only is log-Z possibleZZogl: using full shaders
ZZogl: initialization successful
Launching PeopsSPU2_SDL.
ZZogl: Disabling MRT depth writing
ZZogl: Disabling MRT depth writing
ZZogl: Failed to create bitmask texture; ZZogl: bitmask cache; 0 ZZogl: Invalid enumerator

That last bit about a failed bitmask texture repeats indefinitely until I shut off the program. I'm unsure what "Shader file version is outdated!" is referring to, but I believe the error is causing the game to run at significantly slower speeds (not just a slow framerate, but slow rendering in both sound and video).

Here are my specs:

Model Name: MacBook Pro
Model Identifier: MacBookPro3,1
Processor Name: Intel Core 2 Duo
Processor Speed: 2.4 GHz
Number Of Processors: 1
Total Number Of Cores: 2
L2 Cache: 4 MB
Memory: 2 GB
Bus Speed: 800 MHz
NVIDIA GeForce 8600M GT:

Chipset Model: GeForce 8600M GT
Type: GPU
Bus: PCIe
PCIe Lane Width: x16
VRAM (Total): 256 MB
Vendor: NVIDIA (0x10de)
Device ID: 0x0407
Revision ID: 0x00a1
ROM Revision: 3175
Displays:
Color LCD:
Resolution: 1920 x 1200
Pixel Depth: 32-Bit Color (ARGB8888)
Main Display: Yes
Mirror: Off
Online: Yes
Built-In: Yes
Display Connector:
Status: No Display Connected

Please help.
Reply

Sponsored links

#2
Bitmask texture error was fixed in r213. Maybe it will help you.
Reply
#3
(08-06-2010, 12:20 PM)Zeydlitz Wrote: Bitmask texture error was fixed in r213. Maybe it will help you.

I've browsed the main PCSX2 page and the Mac page, but I can't find this "r213" version. I understand if you can't link me to the page, but can I get some direction?
Reply
#4
(08-06-2010, 12:20 PM)Zeydlitz Wrote: Bitmask texture error was fixed in r213. Maybe it will help you.

Note: I found your archive located here

http://188.134.4.34/svnroot/ruslan/compilled/

and discovered that the latest build of ZZogl (19.197) is a .dll file which will not work for Mac users. Currently, the only graphics plugin PCSX2 will recognize is ZZogl 0.19.195, which I assume is the problem.

Is there a .so on the way, or is there a way for me to get the .dll to work?
Reply
#5
The r204 is also available, but from r210 it's not working well on mac, I've built the .so, might upload it then if it fixes these issues
Reply
#6
(08-09-2010, 10:07 AM)zedr0n Wrote: The r204 is also available, but from r210 it's not working well on mac, I've built the .so, might upload it then if it fixes these issues

Thanks. I'll keep checking to see if and when the updated .so is loaded. Will it be in that same archive?
Reply
#7
Here's the r213, it's built on snow leopard so might be not compatible with current release but hopefully it is, can't really check.

Snow leopard build of pcsx2/mac is still broken, that's why no official release for now


Attached Files
.tgz   libZeroGSoglr.0.21.213.so.dylib.tgz (Size: 198,21 KB / Downloads: 515)
Reply
#8
I also suggest not to use PEOPS, that one is really buggy on mac, I should probably remove it from the distro, use ZeroSpu2 instead
Reply
#9
Thanks Zedron -- that's exactly what I needed as well Smile

I agree that PEOPS SPU isn't running well, but in the latest binary package of PCSX2 for mac, ZeroSPU isn't included -- it's just PEOPS or SPUnull Sad. Anywhere I could find ZeroSPU?

Edit: Spoke a bit too soon on the updated OGL plugin. This may be incredibly noobish, but it has a dylib extension -- so it wasn't detected in the plugins folder, and renaming it to just .so instead of .so.dylib didn't have an effect either. Any direction you could provide would be a huge help Smile

Edit 2: Oh good lord, I just found your binary repo page and solved both of the above issues. Sorry for the noobishness! And really killer work Smile This is fantastic with the new plugins!

Edit 3: Ok, let's do this one more time. I got version 204 of ZeroOGL from your site, and that was all well and good save for the issues mentioned in this thread. So I took version 213 and it said it needed /usr/local/lib/libGLEW.1.5.4.dylib. So I downloaded, built, and installed libGLEW 1.5.4. Now PCSX2 is telling me that it found libGLEW, but it's for the wrong architecture. Wrong arch? I built it on my local machine!

Again, any tips on how you got that rolling are appreciated Smile
Reply
#10
Hey thanks for the posts guys I think I'm getting further along but still having a few problems: I went to the binary repo page and downloaded ZeroSPU fine, but then I tried to do the same thing for the ZZOgl204 but when I start the pcsx2 app, it's not available in the dropdown menu for the gs plugin. I've also been having the same problem as high hat in that the shader outdated! message keeps coming up.
Any tips would be great thanks!
Reply




Users browsing this thread: 1 Guest(s)